### Signal

# Ide SourceView::end-macro

#### Declaration

    void
    end_macro (
      IdeSourceView* self,
      gpointer user_data
    )

#### Description

You should call `IdeSourceView::begin-macro` before emitting this signal.

Complete a macro recording sequence. This may be called more times than is necessary, since `IdeSourceView` will only keep the most recent macro recording. This can be helpful when implementing recording sequences such as in Vim.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.
The signal can be emitted directly
Available since: | 3.32